library(EcoSimR)
set.seed(56)

data<-read.csv("Quercus.csv",row.names=1)
data<-t(data)
Quercus_Model <- cooc_null_model(speciesData=data,suppressProg=TRUE,metric="c_score",algo = "sim2")

data<-read.csv("Carpinus.csv",row.names=1)
data<-t(data)
Carpinus_Model <- cooc_null_model(speciesData=data,suppressProg=TRUE,metric="c_score",algo = "sim2")

data<-read.csv("Prunus.csv",row.names=1)
data<-t(data)
Prunus_Model <- cooc_null_model(speciesData=data,suppressProg=TRUE,metric="c_score",algo = "sim2")


par(mfrow=c(2,2))

hist(Quercus_Model$Sim,breaks=seq(min(Quercus_Model$Sim)-1,max(Quercus_Model$Sim)+1,1),col="gray",ylab="Frequency",xlab="C-score",main="")
title("Quercus",adj=0, font.main= 3)
abline(v=quantile(Quercus_Model$Sim, probs = c(0.05,0.95)),lty=4,lwd=3)
abline(v=Quercus_Model$Obs, lty=1,col=2,lwd=3)

hist(Carpinus_Model$Sim,breaks=seq(min(Carpinus_Model$Sim)-1,max(Carpinus_Model$Sim)+1,2),col="gray",ylab="Frequency",xlab="C-score",main="")
title("Carpinus",adj=0, font.main= 3)
abline(v=quantile(Carpinus_Model$Sim, probs = c(0.05,0.95)),lty=4,lwd=3)
abline(v=Carpinus_Model$Obs, lty=1,col=2,lwd=3)

hist(Prunus_Model$Sim,breaks=seq(min(Prunus_Model$Sim)-1,max(Prunus_Model$Sim)+1,2),col="gray",ylab="Frequency",xlab="C-score",main="")
title("Prunus",adj=0, font.main= 3)
abline(v=quantile(Prunus_Model$Sim, probs = c(0.05,0.95)),lty=4,lwd=3)
abline(v=Prunus_Model$Obs, lty=1,col=2,lwd=3)
